/* this is parsing.c file.
 * this is part of the libspopc library sources
 * copyright  2002 Benoit Rouits <brouits@free.fr>
 * released under the terms of GNU LGPL
 * (GNU Lesser General Public Licence).
 * libspopc offers simple API for a pop3 client (MTA).
 * See RFC 1725 for pop3 specifications.
 * more information on http://brouits.free.fr/libspopc/
 */

#include <string.h>
#include "libspopc.h"

int dotline(char* buf){
/* returns 1 if buf contains a "\r\n.\r\n" substring */
char* ptr;

	if(!buf){
		return(0);
	}
	ptr = buf;
	while((ptr = strchr(ptr,'\r'))){
		/* RFC1939 specifies that the termination line is "CRLF.CRLF" */
		if((ptr[1] == '\n') && (ptr[2] == '.') && (ptr[3] == '\r') && (ptr[4] == '\n')){
			return(1);
		}
		ptr++;
	}
	return(0);
}
            
int pop3_error(char* string){
/* returns 1 if pop server error reply (i.e : -ERR ...) */
	return(string?(!strncmp(string,"-ERR",(size_t)4)):1);
}
